Subject: Re: [PATCH v3] powerpc: add ioremap_early() for mapping IO regions before MMU_init()

From: Grant Likely <[email-masked]>
Date: Tue, 16 Jun 2009 10:40:25 -0600

On Mon, Jun 15, 2009 at 12:57 AM, Benjamin
Herrenschmidt<[email-masked]> wrote:
> On Wed, 2009-05-27 at 12:55 -0600, Grant Likely wrote:
>> From: Grant Likely <[email-masked]>
>>
>> ioremap_early() is useful for things like mapping SoC internally registers
>> and early debug output because it allows mappings to devices to be setup
>> early in the boot process where they are needed.  It also give a
>> performance boost since BAT mapped registers don't get flushed out of
>> the TLB.
>>
>> Without ioremap_early(), early mappings are set up in an ad-hoc manner
>> and they get lost when the MMU is set up.  Drivers then have to perform
>> hacky fixups to transition over to new mappings.
>>
>> Signed-off-by: Grant Likely <[email-masked]>
>> ---
>
> My 40x config gives me:
>
> /home/benh/linux-powerpc-test/drivers/video/xilinxfb.c:409: warning:
> ‘dcr_host.base’ may be used uninitialized in this function
>
> (warning, I think, was already there, so the patch is going into -next
> but we may want another one, provided we find a way to shut the idiot up
> without horrible hacks since that's just gcc being stupid I believe).

I'll have the final fix out to you today.

g.

-- 
Grant Likely, B.Sc., P.Eng.
Secret Lab Technologies Ltd.